Main Page Class Hierarchy Compound List File List Compound Members File Members

# ws_clientII.h File Reference

Go to the source code of this file.

## Compounds
struct | _WS_MENU_REC
struct | _WS_PSCN_REC
struct | TRACE_REQ
struct | WS_MENU_QUEUE_REC
## Defines
#define | WS_WRN_FLAGGED 1
#define | WS_ERR_NONE 0
#define | WS_ERR_INPUT -1
#define | WS_ERR_EMPTY_MENU -2
#define | WS_ERR_SERVER_NOT_IN_MENU -3
#define | WS_ERR_SCN_NOT_IN_MENU -4
#define | WS_ERR_BUFFER_OVERFLOW -5
#define | WS_ERR_MEMORY -6
#define | WS_ERR_PARSE -7
#define | WS_ERR_TIMEOUT -10
#define | WS_ERR_BROKEN_CONNECTION -11
#define | WS_ERR_SOCKET -12
#define | WS_ERR_NO_CONNECTION -13
#define | wsADRLEN 16
#define | wsREQLEN 256
#define | wsREPLEN 20480
## Typedefs
typedef _WS_PSCN_REC * | WS_PSCN
typedef _WS_PSCN_REC | WS_PSCN_REC
typedef _WS_MENU_REC * | WS_MENU
typedef _WS_MENU_REC | WS_MENU_REC
## Functions
int | wsAppendMenu (char *, char *, WS_MENU_QUEUE_REC *, int)
void | wsKillMenu (WS_MENU_QUEUE_REC *)
void | wsKillPSCN (WS_PSCN)
int | wsAttachServer (WS_MENU, int)
void | wsDetachServer (WS_MENU)
int | wsGetServerPSCN (char *, char *, WS_PSCN *, WS_MENU_QUEUE_REC *)
int | wsGetTraceBin (TRACE_REQ *, WS_MENU_QUEUE_REC *, int)
int | wsGetTraceAscii (TRACE_REQ *, WS_MENU_QUEUE_REC *, int)
int | wsSearchSCN (TRACE_REQ *, WS_MENU *, WS_PSCN *, WS_MENU_QUEUE_REC *)
int | setWsClient_ewDebug (int debug)

## Define Documentation

#define WS_ERR_BROKEN_CONNECTION -11

| Definition at line 44 of file ws_clientII.h.

#define WS_ERR_BUFFER_OVERFLOW -5

| Definition at line 39 of file ws_clientII.h.

#define WS_ERR_EMPTY_MENU -2

| Definition at line 36 of file ws_clientII.h.

#define WS_ERR_INPUT -1

| Definition at line 35 of file ws_clientII.h.

#define WS_ERR_MEMORY -6

| Definition at line 40 of file ws_clientII.h.

#define WS_ERR_NO_CONNECTION -13

| Definition at line 46 of file ws_clientII.h.

#define WS_ERR_NONE 0

| Definition at line 34 of file ws_clientII.h.

#define WS_ERR_PARSE -7

| Definition at line 41 of file ws_clientII.h.

#define WS_ERR_SCN_NOT_IN_MENU -4

| Definition at line 38 of file ws_clientII.h.

#define WS_ERR_SERVER_NOT_IN_MENU -3

| Definition at line 37 of file ws_clientII.h.

#define WS_ERR_SOCKET -12

| Definition at line 45 of file ws_clientII.h. Referenced by wsAttachServer(), wsWaitAscii(), and wsWaitBinHeader().

#define WS_ERR_TIMEOUT -10

| Definition at line 43 of file ws_clientII.h.

#define WS_WRN_FLAGGED 1

| Definition at line 33 of file ws_clientII.h. Referenced by wsGetTraceBin(), wsParseAsciiHeaderReply(), and wsParseBinHeaderReply().

#define wsADRLEN 16

| Definition at line 85 of file ws_clientII.h.

#define wsREPLEN 20480

| Definition at line 87 of file ws_clientII.h.

#define wsREQLEN 256

| Definition at line 86 of file ws_clientII.h.

## Typedef Documentation

typedef struct _WS_MENU_REC* WS_MENU

| Definition at line 103 of file ws_clientII.h.

typedef struct _WS_MENU_REC WS_MENU_REC

typedef struct _WS_PSCN_REC* WS_PSCN

| Definition at line 90 of file ws_clientII.h.

typedef struct _WS_PSCN_REC WS_PSCN_REC

## Function Documentation

int setWsClient_ewDebug | ( | int | debug | ) |

| Definition at line 1312 of file ws_clientII.c. References WS_CL_DEBUG.

int wsAppendMenu | ( | char * | ,
|  | char * | ,
|  | WS_MENU_QUEUE_REC * | ,
|  | int |
| ) |

| Definition at line 84 of file ws_clientII.c. References _WS_MENU_REC::addr, WS_MENU_QUEUE_REC::head, logit(), _WS_MENU_REC::next, _WS_MENU_REC::port, _WS_MENU_REC::pscn, send_ew(), _WS_MENU_REC::sock, WS_MENU_QUEUE_REC::tail, WS_ERR_BROKEN_CONNECTION, WS_ERR_BUFFER_OVERFLOW, WS_ERR_EMPTY_MENU, WS_ERR_INPUT, WS_ERR_MEMORY, WS_ERR_NO_CONNECTION, WS_ERR_NONE, WS_ERR_PARSE, WS_ERR_TIMEOUT, wsADRLEN, wsAttachServer(), wsDetachServer(), wsKillPSCN(), wsParseMenuReply(), wsREQLEN, and wsWaitAscii().

int wsAttachServer | ( | WS_MENU | ,
|  | int |
| ) |

| Definition at line 603 of file ws_clientII.c. References _WS_MENU_REC::addr, connect_ew(), logit(), _WS_MENU_REC::port, _WS_MENU_REC::sock, socket_ew(), WS_ERR_INPUT, WS_ERR_NO_CONNECTION, WS_ERR_NONE, WS_ERR_SOCKET, and wsDetachServer(). Referenced by wsAppendMenu().

void wsDetachServer | ( | WS_MENU |  | ) |

| Definition at line 681 of file ws_clientII.c. References closesocket_ew(), and _WS_MENU_REC::sock. Referenced by wsAppendMenu(), wsAttachServer(), wsGetTraceAscii(), and wsGetTraceBin().

int wsGetServerPSCN | ( | char * | ,
|  | char * | ,
|  | WS_PSCN * | ,
|  | WS_MENU_QUEUE_REC * |
| ) |

| Definition at line 497 of file ws_clientII.c. References _WS_MENU_REC::addr, WS_MENU_QUEUE_REC::head, logit(), _WS_MENU_REC::next, _WS_MENU_REC::port, _WS_MENU_REC::pscn, WS_ERR_EMPTY_MENU, WS_ERR_NONE, and WS_ERR_SERVER_NOT_IN_MENU.

int wsGetTraceAscii | ( | TRACE_REQ * | ,
|  | WS_MENU_QUEUE_REC * | ,
|  | int |
| ) |

| Definition at line 387 of file ws_clientII.c. References _WS_MENU_REC::addr, TRACE_REQ::bufLen, _WS_PSCN_REC::chan, TRACE_REQ::fill, WS_MENU_QUEUE_REC::head, logit(), _WS_PSCN_REC::net, TRACE_REQ::pBuf, _WS_MENU_REC::port, TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, send_ew(), _WS_MENU_REC::sock, _WS_PSCN_REC::sta, WS_CL_DEBUG, WS_ERR_BROKEN_CONNECTION, WS_ERR_BUFFER_OVERFLOW, WS_ERR_EMPTY_MENU, WS_ERR_NO_CONNECTION, WS_ERR_NONE, WS_ERR_TIMEOUT, wsDetachServer(), wsParseAsciiHeaderReply(), wsREQLEN, wsSearchSCN(), and wsWaitAscii().

int wsGetTraceBin | ( | TRACE_REQ * | ,
|  | WS_MENU_QUEUE_REC * | ,
|  | int |
| ) |

| Definition at line 239 of file ws_clientII.c. References TRACE_REQ::actLen, _WS_MENU_REC::addr, TRACE_REQ::bufLen, _WS_PSCN_REC::chan, WS_MENU_QUEUE_REC::head, logit(), _WS_PSCN_REC::net, TRACE_REQ::pBuf, _WS_MENU_REC::port, recv_all(), TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, send_ew(), _WS_MENU_REC::sock, _WS_PSCN_REC::sta, WS_ERR_BROKEN_CONNECTION, WS_ERR_BUFFER_OVERFLOW, WS_ERR_EMPTY_MENU, WS_ERR_INPUT, WS_ERR_NO_CONNECTION, WS_ERR_NONE, WS_ERR_PARSE, WS_ERR_TIMEOUT, WS_WRN_FLAGGED, wsDetachServer(), wsParseBinHeaderReply(), wsREQLEN, wsSearchSCN(), and wsWaitBinHeader().

void wsKillMenu | ( | WS_MENU_QUEUE_REC * |  | ) |

| Definition at line 207 of file ws_clientII.c. References closesocket_ew(), WS_MENU_QUEUE_REC::head, menu_reqid, _WS_MENU_REC::next, _WS_MENU_REC::pscn, _WS_MENU_REC::sock, WS_MENU_QUEUE_REC::tail, and wsKillPSCN().

void wsKillPSCN | ( | WS_PSCN |  | ) |

| Definition at line 478 of file ws_clientII.c. References _WS_PSCN_REC::next. Referenced by wsAppendMenu(), and wsKillMenu().

int wsSearchSCN | ( | TRACE_REQ * | ,
|  | WS_MENU * | ,
|  | WS_PSCN * | ,
|  | WS_MENU_QUEUE_REC * |
| ) |

| Definition at line 546 of file ws_clientII.c. References _WS_PSCN_REC::chan, TRACE_REQ::chan, WS_MENU_QUEUE_REC::head, logit(), _WS_PSCN_REC::net, TRACE_REQ::net, _WS_PSCN_REC::next, _WS_MENU_REC::next, _WS_MENU_REC::pscn, _WS_PSCN_REC::sta, TRACE_REQ::sta, WS_ERR_EMPTY_MENU, WS_ERR_NONE, and WS_ERR_SCN_NOT_IN_MENU. Referenced by wsGetTraceAscii(), and wsGetTraceBin().